/* SOLUÇÃO DO TOGGLE */
.hamburger {
	display: block;
	width: 100%;
	/*float: left;*/
	padding: 0.5em 0em 0.5em 0.8em;
	font-size: 1.5em;
	color: #fff;
	background-color: #15afc5;
	margin: 2px 0;
	border: 0;
	box-sizing: border-box;
}

.menu--bar {
	width: 100%;
	position: relative;
	top: 0;
	left: 0;
	display: block;
	/*background-color: #15afc5;*/
}

.menu--div {
	display: none;
}

/* LISTAS DE NAVEGAÇÃO */
.menu {
	z-index: 10; /*adição recente*/
	display: block;
	width: 100%;
	font-size: 0.9em;
	letter-spacing: 0.05rem;
}

.menu--item a{
	color: #fff;
	font-size: 1em;
	font-weight: 600;
	background-color: #15afc5;
	min-height: 50px;
	position: relative;
    text-decoration: none;
	margin-top: 2px;
	display: flex;
	align-items: center;
	padding-left: 0.9em;
}

.menu--item a:hover{
	color: #fff;
    background-color: #f48120;
}

.menu--item > ul {
	width: inherit;
	display: block;
	padding-left: 1.8em;
}

.submenu--item  a{
	background-color: #fff;
	color:  #15afc5;
}

.submenu--item > ul {
	/*width: 100%;*/
	display: block;
	padding-left: 1.8em;
}

.submenu2--item  a{
	background-color: #fff;
	color:  #15afc5;
}

.arrow-menu {
  border: solid #fff;
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 3px;
  margin-left: 10px;
}

.arrow-submenu {
	border: solid #15afc5;
	border-width: 0 3px 3px 0;
	display: inline-block;
	padding: 3px;
	margin-left: 10px;
}

.arrow-down {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}

.arrow-left {
  transform: rotate(135deg);
  -webkit-transform: rotate(135deg);
}

@media (min-width: 640px) {
	.hamburger {
		display: none;
		padding-left: 0;
	}	
	
	.menu--bar {
		width: 220px;
	}
	
	.menu--div {
		display: block;
		font-size: 0.9rem;
	}
	
	.menu {
		width: 220px;
	}
	
	.menu--item {
		position: relative;
	}
	
	.menu--item > ul {
		display: none;
		padding-left: 2px;
		z-index : 99;
		position: absolute;
		top: -0.2rem;
		left: 100%;
	}
	
	.menu--item:hover > ul {		
		display: block;	
		-webkit-animation: slide-down 0.9s ease;
        -moz-animation: slide-down 0.9s ease;
		-o-animation: slide-down 0.9s ease;
		animation: slide-down 0.9s ease;
	}
	
	 @-webkit-keyframes slide-down {
		0% {
			opacity: 0;
		}

		100% {
			opacity: 1;
		}
	}
  
	@-moz-keyframes slide-down {
		0% {
			opacity: 0;
		}

		100% {
			opacity: 1;
		}
	}
	
	@-o-keyframes slide-down {
		0% {
			opacity: 0;
		}

		100% {
			opacity: 1;
		}
	}
	
	@keyframes slide-down {
		0% {
			opacity: 0;
		}

		100% {
			opacity: 1;
		}
	}
	
	.submenu--item  a {
		border: 1px solid #15afc5;
		background-color: #15afc5;
		color: #fff;
		width: 220px;
	}
	
	.submenu--item:hover a {
		z-index : 99;
		border: 1px solid #fff;
	}
	
	.submenu--item > ul {
		width: 180px;
		padding-left: 2px;
		display: none;
	}
	
	.submenu--item:hover > ul {
		z-index : 99;
		display: block;
		position: absolute;
		top: 0;
		left: 100%;
		
		-webkit-animation: slide-down 0.6s linear;
        -moz-animation: slide-down 0.6s linear;
		-o-animation: slide-down 0.6s ease-out;
		animation: slide-down 0.6s ease-out;
	}
	
	.arrow-menu, .arrow-submenu {
		display: none;
	}
}/*fim do @media 640px*/